## relint-el 1.19

=== Makefile ===
EMACS=emacs
XRDIR=../xr
EMFLAGS=-Q -batch -L . -L $(XRDIR)
BYTECOMPFLAGS=--eval '(setq byte-compile-error-on-warn t)'

EL=$(wildcard *.el)
ELC=$(EL:.el=.elc)

.PHONY: build check clean

build: $(ELC)

clean:
	rm -f $(ELC)

check:
	$(EMACS) $(EMFLAGS) -l relint-test -f ert-run-tests-batch-and-exit

%.elc: %.el
	$(EMACS) $(EMFLAGS) $(BYTECOMPFLAGS) -f batch-byte-compile $^

=== debian/changelog ===
relint-el (1.19-1) unstable; urgency=medium

  * New upstream version 1.19
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/watch: Migrate to version 4

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 02 Dec 2020 12:28:31 +0500

relint-el (1.18-1) unstable; urgency=medium

  * New upstream version 1.18
  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 31 Oct 2020 20:18:32 +0500

relint-el (1.13-1) unstable; urgency=medium

  * Initial release (Closes: #952606)

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 26 Feb 2020 20:12:05 +0500

=== debian/control ===
Source: relint-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
               elpa-xr
Standards-Version: 4.5.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/mattiase/relint
Vcs-Browser: https://salsa.debian.org/emacsen-team/relint-el
Vcs-Git: https://salsa.debian.org/emacsen-team/relint-el.git

Package: elpa-relint
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Emacs Lisp regexp mistake finder
 Relint scans Emacs Lisp files for mistakes in regexps, including
 deprecated syntax and bad practice. It also checks the regexp-like
 arguments to skip-chars-forward, skip-chars-backward,
 skip-syntax-forward and skip-syntax-backward.

=== debian/rules ===
#!/usr/bin/make -f



%:
	dh $@ --with elpa

override_dh_elpa_test:
	LC_ALL=C.UTF-8 dh_elpa_test

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_test:
	@echo skipping upstream auto_test

.PHONY: override_dh_elpa_test override_dh_auto_build override_dh_auto_test

=== debian/watch ===
# This watch file won't produce the orig.tar file and will in fact exit with
# an error. This is okay: we're using gbp to produce orig.tar files so we only
# need uscan to download.

version=4
https://elpa.gnu.org/packages/relint.html relint-(.+).tar

## relint-el 1.20+repack

=== debian/changelog ===
relint-el (1.20+repack-1) unstable; urgency=medium

  * New upstream version 1.20+repack
  * Add README.source to explain repack
    (adding testsuit to the GNU ELPA release)
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 14 Feb 2022 16:09:01 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-xr
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/mattiase/relint

=== debian/watch ===
--- 
+++ 
@@ -3,4 +3,5 @@
 # need uscan to download.
 
 version=4
+opts=dversionmangle=s/\+?(repack)\d*$// \
 https://elpa.gnu.org/packages/relint.html relint-(.+).tar

## relint-el 1.21+repack

=== debian/changelog ===
relint-el (1.21+repack-1) unstable; urgency=medium

  * New upstream version 1.21+repack
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/control: Drop versioned Recommends
  * d/copyright: Update copyright years
  * d/watch: Add upstream signing key

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 24 Jan 2023 13:51:12 +0500

## relint-el 1.23+repack

=== debian/changelog ===
relint-el (1.23+repack-1) unstable; urgency=medium

  * New upstream version 1.23+repack

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 10 Aug 2023 09:32:55 +0500

relint-el (1.22+repack-1) unstable; urgency=medium

  * New upstream version 1.22+repack
  * d/rules: Clean dh overrides

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 22 Jun 2023 10:51:16 +0500

## relint-el 1.24+repack

=== debian/changelog ===
relint-el (1.24+repack-1) unstable; urgency=medium

  * New upstream version 1.24+repack

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 12 Dec 2023 10:15:25 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-xr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/mattiase/relint
@@ -17,7 +17,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: Emacs Lisp regexp mistake finder
  Relint scans Emacs Lisp files for mistakes in regexps, including

## relint-el 2.0+repack

=== debian/changelog ===
relint-el (2.0+repack-1) unstable; urgency=medium

  * New upstream version 2.0+repack
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 14 Aug 2024 16:25:42 +0500

relint-el (1.24+repack-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:06:56 +0900

=== debian/rules ===
#!/usr/bin/make -f



%:
	dh $@ --with elpa

override_dh_elpa_test:
	LC_ALL=C.UTF-8 dh_elpa_test

.PHONY: override_dh_elpa_test

## relint-el 2.1%2Brepack

=== debian/changelog ===
relint-el (2.1+repack-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:34:43 +0100

relint-el (2.1+repack-1) unstable; urgency=medium

  * New upstream version 2.1+repack
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 18 Jan 2025 11:32:21 +0500

## relint-el 2.1+repack

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-xr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/mattiase/relint

=== debian/watch ===
# Upstream does not include testsuit in GNU ELPA tar archive. One
# needs to download tar archive from GNU ELPA and add testsuit from
# the upstream GitHub repository. That's the reason for repack.

version=4
opts=pgpsigurlmangle=s/$/.sig/
opts=dversionmangle=s/\+?(repack)\d*$//
https://elpa.gnu.org/packages/relint.html relint-(.+).tar(?:\.lz)?
